Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - neovim-qt-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: neovim-qt-git v0.2.4.r0.g4015d8c-1

Git Clone URL: https://aur-dev.archlinux.org/neovim-qt-git.git (read-only)
Package Base: neovim-qt-git
Description: A Qt gui for Neovim (Neovim RPC and GUI using Qt5).
Upstream URL: https://github.com/equalsraf/neovim-qt
Keywords: gui neovim qt5 vim
Licenses: custom
Conflicts: neovim-qt
Submitter: aabmass
Maintainer: aabmass
Last Packager: aabmass
Votes: 29
Popularity: 0.734189
First Submitted: 2015-08-06 01:45
Last Updated: 2016-11-09 02:05

Latest Comments

« First ‹ Previous 1 2

aabmass commented on 2016-02-01 16:25

@Fuelen I can't reproduce that error. CMake runs fine for me:

-- The C compiler identification is GNU 5.3.0
-- The CXX compiler identification is GNU 5.3.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found Msgpack: /usr/lib64/libmsgpack.so
-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)
-- Found PythonInterp: /usr/bin/python (found version "3.5.1")
-- Configuring done
-- Generating done
-- Build files have been written to: /tmp/yaourt-tmp-aaron/aur-neovim-qt-git/src/neovim-qt-git/build

Fuelen commented on 2016-01-27 08:50

-- The C compiler identification is GNU 5.3.0
-- The CXX compiler identification is GNU 5.3.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Error at /usr/share/cmake-3.4/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
Could NOT find Msgpack (missing: MSGPACK_LIBRARY)
Call Stack (most recent call first):
/usr/share/cmake-3.4/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
cmake/FindMsgpack.cmake:16 (find_package_handle_standard_args)
CMakeLists.txt:36 (find_package)


-- Configuring incomplete, errors occurred!
See also "/tmp/yaourt-tmp-fuelen/aur-neovim-qt-git/src/neovim-qt-git/build/CMakeFiles/CMakeOutput.log".


but msgpack is installed

DaZ commented on 2015-10-14 09:58

i know you can't, i was asking about merging it on build time.

just switching to a branch doesn't seem to produce working app :v

aabmass commented on 2015-10-13 00:18

@DaZ, I can't merge it upstream but you could save the PKGBUILD and do it during the build. Even easier, you can specify the branch by just modifying the PKGBUILD's "source" to:

source=("${pkgname}::git+${url}.git#branch=tb-setguifont")

It looks like tb-setguifont is only 3 commits behind master, so that might work out for you.

DaZ commented on 2015-10-12 01:34

I'm wondering whether could you make it merge tb-setguifont
https://github.com/equalsraf/neovim-qt/pull/16 ? :3

Svenstaro commented on 2015-08-25 17:34

Yeah it got fixed upstream recently.

aabmass commented on 2015-08-25 12:54

@Sventsaro I get the output about negative sizes, but that's it. No crash.

Svenstaro commented on 2015-08-18 06:02

I just do this: https://dpaste.de/GdB9

I compiled neovim-git fresh from source just now.

aabmass commented on 2015-08-17 07:16

I added the dependency.

I'm not experiencing any crashes. Is there any output?

Svenstaro commented on 2015-08-17 05:33

This needs to depend on libxkbcommon-x11.

Also, for some reason, it immediately crashes nvim on me. Any ideas as to why?